Subject: Re: [PATCH 5 of 5] IPv6: temporary address: update the timer for tentative addresses

From: Benoit Boissinot <[email-masked]>
Date: Tue, 1 Apr 2008 23:53:25 +0200

On Fri, Mar 28, 2008 at 12:25:58PM +0900, YOSHIFUJI Hideaki / 吉藤英明 wrote:
> In article <4765830d9f3848ef14e6.1206305173@pirzuine> (at Sun, 23 Mar 2008 21:46:13 +0100), Benoit Boissinot <[email-masked]> says:
> 
> > IPv6: temporary address: update the timer for tentative addresses
> > 
> > Even for tentative addresses, we should update the timer,
> > otherwise if the preferred lifetime is too short we will
> > miss the opportunity to regenerate the adress.
> 
> Well, but it this ever happens, it implies that the lifetime
> is too short, doesn't it?
> We don't want such temporary address too much.

I do agree. In this case, short means less than ADDR_CHECK_FREQUENCY
(2 minutes), and it might be too aggressive.
In fact, I don't really know what are the consequences of running
with a very short regen for temporary addresses (let's say for example,
1 minutes preferred lifetime, and 5 minutes valid lifetime).

But it was really useful for me for testing it, and it fixes a bug
(anyway if you use too short lifetimes you'll hit the max addresses
limit really fast).

regards,

Benoit

ps: I'll resubmit the patches to which you already agreed soon.

-- 
:wq